Package com.mapd.thrift.server

## Class TRawPixelData

- java.lang.Object
- - com.mapd.thrift.server.TRawPixelData

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRawPixelData>`, `org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>`, `org.apache.thrift.TSerializable`

    public class TRawPixelData
    extends Object
    implements org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>, Serializable, Cloneable, Comparable<TRawPixelData>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRawPixelData._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `height`
`static Map<TRawPixelData._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`Map<Integer,​TRawRenderPassDataResult>` `render_pass_map`
`int` `width`

### Constructor Summary

Constructors
`TRawPixelData()`
`TRawPixelData​(int width, int height, Map<Integer,​TRawRenderPassDataResult> render_pass_map)`
`TRawPixelData​(TRawPixelData other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TRawPixelData other)`
`TRawPixelData` `deepCopy()`
`boolean` `equals​(TRawPixelData that)`
`boolean` `equals​(Object that)`
`TRawPixelData._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TRawPixelData._Fields field)`
`int` `getHeight()`
`Map<Integer,​TRawRenderPassDataResult>` `getRender_pass_map()`
`int` `getRender_pass_mapSize()`
`int` `getWidth()`
`int` `hashCode()`
`boolean` `isSet​(TRawPixelData._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetHeight()` Returns true if field height is set (has been assigned a value) and false otherwise
`boolean` `isSetRender_pass_map()` Returns true if field render_pass_map is set (has been assigned a value) and false otherwise
`boolean` `isSetWidth()` Returns true if field width is set (has been assigned a value) and false otherwise
`void` `putToRender_pass_map​(int key, TRawRenderPassDataResult val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TRawPixelData._Fields field, Object value)`
`TRawPixelData` `setHeight​(int height)`
`void` `setHeightIsSet​(boolean value)`
`TRawPixelData` `setRender_pass_map​(Map<Integer,​TRawRenderPassDataResult> render_pass_map)`
`void` `setRender_pass_mapIsSet​(boolean value)`
`TRawPixelData` `setWidth​(int width)`
`void` `setWidthIsSet​(boolean value)`
`String` `toString()`
`void` `unsetHeight()`
`void` `unsetRender_pass_map()`
`void` `unsetWidth()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### width

    public int width

#### height

    public int height

#### render_pass_map

    public Map<Integer,​TRawRenderPassDataResult> render_pass_map

#### metaDataMap

    public static final Map<TRawPixelData._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRawPixelData

    public TRawPixelData()

#### TRawPixelData

    public TRawPixelData​(int width,
                         int height,
                         Map<Integer,​TRawRenderPassDataResult> render_pass_map)

#### TRawPixelData

    public TRawPixelData​(TRawPixelData other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRawPixelData deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>`

#### getWidth

    public int getWidth()

#### setWidth

    public TRawPixelData setWidth​(int width)

#### unsetWidth

    public void unsetWidth()

#### isSetWidth

    public boolean isSetWidth()

Returns true if field width is set (has been assigned a value) and false otherwise

#### setWidthIsSet

    public void setWidthIsSet​(boolean value)

#### getHeight

    public int getHeight()

#### setHeight

    public TRawPixelData setHeight​(int height)

#### unsetHeight

    public void unsetHeight()

#### isSetHeight

    public boolean isSetHeight()

Returns true if field height is set (has been assigned a value) and false otherwise

#### setHeightIsSet

    public void setHeightIsSet​(boolean value)

#### getRender_pass_mapSize

    public int getRender_pass_mapSize()

#### putToRender_pass_map

    public void putToRender_pass_map​(int key,
                                     TRawRenderPassDataResult val)

#### getRender_pass_map

    public Map<Integer,​TRawRenderPassDataResult> getRender_pass_map()

#### setRender_pass_map

    public TRawPixelData setRender_pass_map​(Map<Integer,​TRawRenderPassDataResult> render_pass_map)

#### unsetRender_pass_map

    public void unsetRender_pass_map()

#### isSetRender_pass_map

    public boolean isSetRender_pass_map()

Returns true if field render_pass_map is set (has been assigned a value) and false otherwise

#### setRender_pass_mapIsSet

    public void setRender_pass_mapIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRawPixelData._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRawPixelData._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>`

#### isSet

    public boolean isSet​(TRawPixelData._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRawPixelData that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRawPixelData other)

Specified by:
  `compareTo` in interface `Comparable<TRawPixelData>`

#### fieldForId

    public TRawPixelData._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRawPixelData,​TRawPixelData._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`